In case anyone else is struggling with getting the Tk extension to work 
on Ubuntu 14.04, ruby 2.1:

Don't use the system (deb) versions of tk8.5 (which should work) or 
tk8.6 (which is known not to work with tkruby). Instead, get tcl and tk 
tarballs from http://tcl.tk, and configure with pthreads:

     ./configure --enable-threads

Build and install normally.

Then build tk and tkutil normally:

cd <ruby-source-dir>
cd ext/tk
ruby extconf.rb && make && sudo make install
cd tkutil
ruby extconf.rb && make && sudo make install

I don't know why the packaged tk8.5 doesn't work, even with all relevant 
CONFIGURE_ARGS set for extconf.rb.